aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/Vagrantfile
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2021-04-29 11:11:07 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2021-04-29 11:11:07 +0300
commit08b4541394f16e1bc1d84b00024ee43c231136b8 (patch)
tree10c7dc71ddce39a3c80cbd1ec0a4f87ef4424b4d /Vagrantfile
downloadconfig-links-08b4541394f16e1bc1d84b00024ee43c231136b8.tar.gz
config-links-08b4541394f16e1bc1d84b00024ee43c231136b8.zip
add AUR packaging files
Copied them from my other project linux-status.
Diffstat (limited to 'Vagrantfile')
-rw-r--r--Vagrantfile32
1 files changed, 32 insertions, 0 deletions
diff --git a/Vagrantfile b/Vagrantfile
new file mode 100644
index 0000000..e9f3b7a
--- /dev/null
+++ b/Vagrantfile
@@ -0,0 +1,32 @@
+# -*- mode: ruby -*-
+# vi: set ft=ruby :
+
+NAME = 'Egor Tensin'
+EMAIL = 'Egor.Tensin@gmail.com'
+
+Vagrant.configure("2") do |config|
+ config.vm.box = "archlinux/archlinux"
+
+ config.vm.provider "libvirt" do |v|
+ v.cpus = 2
+ v.memory = 4096
+ end
+
+ # Install the required packages:
+ config.vm.provision "shell", inline: <<-SHELL
+#!/usr/bin/env bash
+set -o errexit -o nounset -o pipefail
+pacman --noconfirm -Syu base-devel git
+ SHELL
+
+ # Working with the git repository:
+ config.vm.provision "shell", privileged: false, inline: <<-SHELL
+#!/usr/bin/env bash
+set -o errexit -o nounset -o pipefail
+git config --global user.name '#{NAME}'
+git config --global user.email '#{EMAIL}'
+ SHELL
+ config.ssh.forward_agent = true
+
+ config.vm.provision :reload
+end